aboutsummaryrefslogtreecommitdiff
path: root/test_automatic/start_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_automatic/start_test.sh')
-rwxr-xr-xtest_automatic/start_test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test_automatic/start_test.sh b/test_automatic/start_test.sh
new file mode 100755
index 0000000..38fe706
--- /dev/null
+++ b/test_automatic/start_test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+trap "kill 0" EXIT
+
+export BOTTIN_DEFAULT_ADMIN_PW=$(openssl rand -base64 24)
+echo $BOTTIN_DEFAULT_ADMIN_PW
+consul agent -dev > /dev/null 2>&1 &
+sleep 2
+./bottin > /dev/null 2>&1 &
+sleep 1
+./test_automatic/integration